import React from 'react';

interface CommandPaletteProps {
  isOpen: boolean;
  onClose: () => void;
}

const CommandPalette: React.FC<CommandPaletteProps> = ({ isOpen, onClose }) => {
  if (!isOpen) return null;

  return (
    <div className="fixed inset-0 bg-black bg-opacity-50 flex items-center justify-center z-50">
      <div className="bg-dark-800 rounded-lg p-4 w-96">
        <h3 className="text-lg font-semibold mb-4">Command Palette</h3>
        <div className="text-sm text-dark-400">AI commands will be here</div>
        <button 
          onClick={onClose}
          className="mt-4 px-4 py-2 bg-primary-600 text-white rounded hover:bg-primary-700"
        >
          Close
        </button>
      </div>
    </div>
  );
};

export default CommandPalette; 